package net.geraldloeffler.tasktracker2006.dao;

import java.util.Date;
import java.util.List;
import net.geraldloeffler.tasktracker2006.domain.Entry;

/**
 * Data Access Object (DAO) for Entry persistent domain objects.
 * 
 * @author Gerald Loeffler
 */
public interface EntryDAO {
  Entry merge(Entry entry);
  
  Entry findByID(int id);

  List<Entry> findAll();

  List<Entry> findActiveAtOrAfter(Date dateTime);

  List<Entry> findActiveAtOrBefore(Date dateTime);

  List<Entry> findActiveInPeriod(Date fromDateTime, Date toDateTime);
}
